Package org.opensaml.xmlsec.keyinfo

# Interface KeyInfoCredentialResolver

All Superinterfaces:
  `CredentialResolver`, `Resolver<Credential,CriteriaSet>`

All Known Implementing Classes:
  `BasicProviderKeyInfoCredentialResolver`, `ChainingKeyInfoCredentialResolver`, `CollectionKeyInfoCredentialResolver`, `LocalKeyInfoCredentialResolver`, `StaticKeyInfoCredentialResolver`

public interface KeyInfoCredentialResolver extends CredentialResolver
Specialized `CredentialResolver` marker interface for resolvers which resolve credentials based on a `KeyInfo` element. Implementations will typically require an instance of `KeyInfoCriterion` within the criteria set which is supplied as input to the resolve methods.

## Method Summary

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`